> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST Manage Group Contacts

> Add or remove contacts from groups.

## Manage Group Contacts

Add or remove contacts from a group.

## Add contacts to group

`POST /api/groups/add-contacts`

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/groups/add-contacts \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "groupId": 1, "contactIds": [5, 6, 7] }'
```

### Request body

**groupId** `integer` *required*

Target group ID.

**contactIds** `integer[]` *required*

Contact IDs to add.

```json Response theme={null}
{
  "success": true,
  "message": "3 contacts added to group"
}
```

***

## Remove contacts from group

`POST /api/groups/remove-contacts`

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/groups/remove-contacts \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "groupId": 1, "contactIds": [5, 6] }'
```

### Request body

**groupId** `integer` *required*

Target group ID.

**contactIds** `integer[]` *required*

Contact IDs to remove.

```json Response theme={null}
{
  "success": true,
  "message": "2 contacts removed from group"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.